# AUTIS frontend

## Observação

- Verifique se a versão do Node instalada no seu computador é a mesma do projeto. Abra o terminal:

```bash
$ # verificando a versão do Node
$ node --version
$ # deve retornar versão 16.11.26 ou maior
```

Caso a sua versão do node não seja compatível com a do projeto instale o NVM (Node Version Manager) para setar a versão correta.

**Para Windows:** 

Instale o arquivo [nvm-setup.zip](https://github.com/coreybutler/nvm-windows/releases) na versão desejada (última recomendada).

Após feita a instalação, abra o terminal como **administrador** e digite um comando por vez: 

```bash
$ # instalando versão correta do Node
$ nvm install v16.11.26
$ # podemos ver a lista de versões com
$ nvm list
$ # veremos que a versão que estamos usando não é a mesma que recém instalamos. Para isso:
$ nvm use v16.11.26
```

Ao digitar o comando `nvm list` novamente, poderemos ver que a versão que utilizamos foi alterada.

## Clone o projeto:

- Abra o terminal do seu computador ou [git bash](https://gitforwindows.org/) e digite um comando por vez:

```bash
$ # clonando o repositório do projeto:
$ git clone https://tools.ages.pucrs.br/autis/autis-frontend

$ # entrando no diretório do app
$ cd autis-frontend

$ # instalando as dependências
$ npm install
```

## Rodando a aplicação

No diretório do projeto, rode no terminal com:

### `npm start`

O projeto será aberto no modo de desenvolvimento. 
Abra [http://localhost:3000](http://localhost:3000) para visualizar a aplicação no browser.

A página irá dar reload quando salvar uma alteração feita no código.\
Também poderá ver os erros no console.

### VS Code

Instale o [VSCode](https://code.visualstudio.com/download), editor de código, se você ainda não tiver instalado. Após, instale os plugins [ESLint](https://marketplace.visualstudio.com/items?itemName=dbaeumer.vscode-eslint) e [Prettier](https://marketplace.visualstudio.com/items?itemName=esbenp.prettier-vscode) (Estes plugins não são obrigatórios, mas te ajudarão a manter um código padronizado).